<?php
include("cap.php");

$sub=array();
$sub1=array();
$sub=file("db/sub.txt");
foreach($sub as $line)
 {
   $line=trim($line);
   $text=file("db/news/$line");
   $text[0]=trim($text[0]);
   $sub1[$text[0]]=$line;
 }

krsort($sub1,SORT_NUMERIC);
$sub=array();
foreach($sub1 as $line) $sub[]=$line;

$arr_mail=array();
$arr_mail=file("db/mail.txt");
for($n=0;$n<count($arr_mail);$n++) $arr_mail[$n]=trim($arr_mail[$n]);
$arr_mail = array_unique($arr_mail);
if(isset($_POST['save_mail']))
  {
    $_POST['mail']=trim($_POST['mail']);
    $expl=explode("\r\n",$_POST['mail']);
    if(count($expl))
      {
        foreach($expl as $line)
          {
              $line=trim($line);
          	  if(strstr($line, '@') && !strstr($line, " ") && !in_array($line,$arr_mail)) $arr_mail[]=$line;
          }

        $f=fopen("db/mail.txt","w");
        foreach($arr_mail as $line) fwrite($f,$line."\r\n");
        fclose($f);

       echo "<meta http-equiv=refresh content='0; url=admin7.php'>";
        exit();

      }

  }

if(isset($_POST['save_head']) || $_POST['go_sub'])
  {
    $_POST['head_mes']=trim($_POST['head_mes']);$_POST['head_mes1']=trim($_POST['head_mes1']);$_POST['head_mes2']=trim($_POST['head_mes2']);
    $f=fopen("db/head.txt","w");
    fwrite($f,$_POST['head_mes']."\r\n".$_POST['head_mes1']."\r\n".$_POST['head_mes2']);
    fclose($f);

  	echo "<meta http-equiv=refresh content='0; url=admin7.php'>";
    exit();

  }


if(isset($_GET['d']))
  {
    $f=fopen("db/sub.txt","w");
                 foreach($sub1 as $line)
                  {
                   $line=trim($line);
                   if($line==$_GET['d']) continue;
                   fwrite($f,$line."\r\n");
                  }
                fclose($f);


    echo "<meta http-equiv=refresh content='0; url=admin7.php'>";
     exit();

  }
$head=""; $head1="";$head2="";
$head_file=file("db/head.txt");
if(isset($head_file[0]))$head=trim($head_file[0]);
if (isset($head_file[1]))$head1=trim($head_file[1]);
if (isset($head_file[2]))$head2=trim($head_file[2]);
?>

<script type='text/javascript'>
   function p(sendtest)
    { var v=sendtest;
     var w= (screen.width/2)-200;
     var h= (screen.height/2)-150;
     mainwin=window.open('sub.php?op=3'+v,'','width=440, height=300,left='+w+',top='+h+',status=no,toolbar=no,menubar=no,scrollbars=no,resizable=no,location=no,directories=no,fullscreen=no');
    }

   function rel(clearsub)
  {if (clearsub==1) {document.getElementById('stat_sub').innerHTML=' '; document.getElementById('num_stat').innerHTML='Статей в рассылку 0';}
  else {return true;}
/*     if(navigator.appName=='Microsoft Internet Explorer' || navigator.appName=='Opera')
      {
      	window.history.go(0);
      }
     else
      {
      	window.location.reload();
      }
  */}
</script>
 <table id=info CELLPADDING=10 align=center><tr><td><img src="img/inf.jpg"  alt="Справка" border="0" >
 </td>
    <td>Для отправки статей в рассылку достаточно поставить галочку <b>Отправить в рассылку</b> при создании статьи.<br />
    Если вы забыли это сделать, можно ту же галочку поставить в разделе Редактирования статьи. Список статей для рассылки
    и кнопка <b>Отправить</b> появится здесь. <br /> ВНИМАНИЕ! Для корректного формирования письма подписчикам заполните поле "Ссылка на страницу, где установлен код..." в разделе "Настройки блока" (даже если вы не используете краткий блок последних статей/новостей.)<br /> 

    </td>
 </tr>
</table>
<form method="post">
<table   class=tab ><tr><td class=valtop>
 <a href="db_mail.php" title='просмотреть базу'>Всего в базе адресов <?php echo count($arr_mail)  ?></a>
  <br />Добавить адреса  по одному в столбик!<br />
  Дублирующиеся адреса будут удалены!<br /><br />
  <textarea name="mail" rows=20 cols=30 ></textarea><br />
  <input type="submit" value="Добавить" id=button name=save_mail>




</td><td class='valtop al'>
<br /><div align="left">Заголовок рассылки (отображается заголовком в рассылке и темой в письме)<br />Если поле пустое, то будет текст "Новости сайта ..."<br />
<input name="head_mes" type="text" value="<?php echo $head  ?>" size=60>&nbsp;</div><br />
<div align="left">Подзаголовок<br />
<input name="head_mes1" type="text" value="<?php echo $head1  ?>" size=60>&nbsp;</div><br />
<div align="left">Текст приветствия (отображается перед текстом рассылки)<br />
<input name="head_mes2" type="text" value="<?php echo $head2  ?>" size=60>&nbsp;<br /><br /><input type="submit" value="Сохранить" name=save_head></div><br />
<br /><br />

<span id='num_stat'>
Статей в рассылку <?php echo count($sub)  ?> </span>
<?php
if(count($sub))
 { 
   echo"<div  id='stat_sub'><table  class=tab1 style=\"margin-left:0;\"><tbody>";
   foreach($sub as $line)
     {
       $file=file("db/news/$line");
       for($n=0;$n<count($file);$n++)$file[$n]=trim($file[$n]);

       echo"<tr><td class=sett1>
         <a href=red.php?id=$line&op=1&b=1><b><font color=#408080>".date("d.m.Y H:i",$file[0])."&nbsp;&nbsp;$file[2]</font></b></a>
       </td>
       <td class=sett2 style=\"width:25px;\"><a onclick=\"return confirm('Вы хотите удалить эту статью из рассылки?')\" href=admin7.php?d=$line><img src=img/del.png alt='удалить из рассылки' title='удалить из рассылки' border=0></a>
	   </td></tr>";

     }
   echo"<tbody></table>
   <br /><div align=left>
   <input type=submit onclick=\"var v=document.getElementById('test_mail').value; v='&test_mail\='+v; p(v);\" value='ОТПРАВИТЬ ТЕСТОВОЕ ПИСЬМО' id=button1 name=go_sub> <input type=\"text\"  title='Введите адрес для тестовой отправки' value='' id='test_mail'>
   
   </div>
   <br /><br /><div align=left><input type=submit onclick=\"p('&test_mail=no');\" value='ОТПРАВИТЬ В РАССЫЛКУ' id=button2 name=go_sub></div></div>";
   
 }
?>

</td></tr></table>
 </form>
 
 </div>
</body>
</html>